Bug 640036 - (CVE-2010-3705) CVE-2010-3705 kernel: sctp memory corruption in HMAC handling
CVE-2010-3705 kernel: sctp memory corruption in HMAC handling
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20101001,source=oss-security,r...
: Security
Depends On: 640459 640460 640461 640462
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 11:35 EDT by Petr Matousek
Modified: 2015-07-31 02:32 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 04:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-10-04 11:35:57 EDT
Description of problem:

When parsing a peer's supported HMAC authentication options in the sctp_auth_asoc_get_hmac() function, a malicious peer can craft their HMAC array in such a way as to cause memory corruption (out-of-bounds read followed by use of retrieved out-of-bounds data), which at the very least could cause a denial of service via kernel panic, and possibly worse.  It appears this could be  triggered remotely when connecting to a malicious peer, or locally by a user acting as both endpoints.  In both cases, the "auth_enable" sysctl must be set in order to trigger the bug.

References:
http://marc.info/?l=oss-security&m=128619854321910&w=1
http://marc.info/?l=linux-kernel&m=128596992418814&w=2
Comment 2 Petr Matousek 2010-10-05 13:28:19 EDT
Statement:

Red Hat is aware of this issue and is tracking it via the following bug:
https://bugzilla.redhat.com/CVE-2010-3705.

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 3 as it did not include support for SCTP. It did not affect Red Hat Enterprise Linux 4 and 5 as it did not include upstream commit 1f485649 that introduced the problem. Future kernel updates in Red Hat Enterprise MRG may address this flaw.
Comment 5 Eugene Teo (Security Response) 2010-11-08 01:45:44 EST
Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 6 errata-xmlrpc 2010-11-10 14:09:10 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0842 https://rhn.redhat.com/errata/RHSA-2010-0842.html
Comment 7 errata-xmlrpc 2010-11-22 14:35:15 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0842 https://rhn.redhat.com/errata/RHSA-2010-0842.html
Comment 8 errata-xmlrpc 2010-12-08 14:09:20 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Note You need to log in before you can comment on or make changes to this bug.